POST api/v1/child-medication-dose-logs/mark-taken
Request Information
URI Parameters
None.
Body Parameters
MarkDoseTakenRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| MedicationId | integer |
None. |
|
| ChildId | integer |
None. |
|
| ScheduleId | integer |
None. |
|
| PlannedDate | string |
None. |
|
| PlannedTime | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"medicationId": 1,
"childId": 2,
"scheduleId": 1,
"plannedDate": "sample string 3",
"plannedTime": "sample string 4"
}
application/xml, text/xml
Sample:
<ChildMedicationDoseLogsController.MarkDoseTakenRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers"> <ChildId>2</ChildId> <MedicationId>1</MedicationId> <PlannedDate>sample string 3</PlannedDate> <PlannedTime>sample string 4</PlannedTime> <ScheduleId>1</ScheduleId> </ChildMedicationDoseLogsController.MarkDoseTakenRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.